Bug 101527 - Impress narration does not auto-advance loading from PPTX
Summary: Impress narration does not auto-advance loading from PPTX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2016-08-14 20:52 UTC by David A. Wheeler
Modified: 2017-10-21 22:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Demo PPTX file (285.39 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-08-14 20:52 UTC, David A. Wheeler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David A. Wheeler 2016-08-14 20:52:42 UTC
Created attachment 126833 [details]
Demo PPTX file

When loading a PPTX file with narration, the narration on a page is presented, but the slides do not auto-advance.  That means that a presentation with embedded narration won't play *as* a presentation.

This bug is probably easy to fix - the audio *is* presented on a given slide, it's just that without auto-advance you don't have the full experience of a presentation.

Compare Impress' behavior with Powerpoint.
Comment 1 Buovjaga 2016-09-15 14:32:58 UTC
Yep, I have to manually advance.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 798d55fcd8efc10fcef6b8ac3fa5abdbc82501ec
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 13th 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 Xisco Faulí 2017-09-29 08:49:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929